@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

body {
    margin: 0;
    background-color: white;
    font-family: 'Roboto', sans-serif;
    font-size: 1rem;
}

a {
    text-decoration: none;
    color: black;
}


.tooltip {
    position: relative;
    display: inline-block;
    border: 2px solid black;
    border-radius: 100%;
    font-size: 20px;
    padding: 0.5rem;
    margin:0.25rem;
    background-color: #aaa;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;  
    position: absolute;
    z-index: 1;
    top: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
    font-size: 12px;
}
  
.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

  .tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

table {
    margin: 20px auto;
    width: calc(100% - 40px);
    border-spacing: 0px;
    background-color: #eee;
}

table td {
    border-bottom: 1px solid #cecece;
    border-right: 1px solid #cecece;
    padding: 10px;
    vertical-align: top;
}

table td:first-child {
    border-left: 1px solid #cecece;
}

table th {
    border-top: 1px solid #cecece;
    border-bottom: 1px solid #cecece;
    border-right: 1px solid #cecece;
    padding: 12px;
}

table th:first-child {
    border-left: 1px solid #cecece;
}

.card {
    padding: 5px;
    border: 1px solid #cecece;
    border-radius: 5px;
    display: block;
    margin: 10px 0;
    background-color: white;
    transition: 200ms;
    cursor: pointer;
}

.card:hover {
    box-shadow: 0 0 10px -1px rgba(0, 0, 0, 0.2);
}

.assigned-to {
    background-color: #1a46e8;
    color: white;
    font-size: 0.8rem;
    padding: 2px 5px;
    border-radius: 3px;
    margin-top: 6px;
    display: inline-block;
}

.assigned-to a {
    color: white;
}

.sticky th {
    position: sticky;
    color: white;
    background-color: #1a46e8;
    letter-spacing: 1.5px;
    font-weight: 400;
}

.sticky tr:nth-child(2) th {
    top: 44px;
}

.sticky tr:first-child th {
    top: 0;
    border-bottom: 0;
}

.sticky td:first-child {
    left: 0;
}


td:nth-child(even) {
    background-color: #ddd;
}

.tooltip{
    background-color: gray;
    background-size: 40px;
    margin-left: 1rem;
    color : black;
}

.tooltip {
    background-color:#556;
    background-image: linear-gradient(30deg, #445 12%, transparent 12.5%, transparent 87%, #445 87.5%, #445),
    linear-gradient(150deg, #445 12%, transparent 12.5%, transparent 87%, #445 87.5%, #445),
    linear-gradient(30deg, #445 12%, transparent 12.5%, transparent 87%, #445 87.5%, #445),
    linear-gradient(150deg, #445 12%, transparent 12.5%, transparent 87%, #445 87.5%, #445),
    linear-gradient(60deg, #99a 25%, transparent 25.5%, transparent 75%, #99a 75%, #99a),
    linear-gradient(60deg, #99a 25%, transparent 25.5%, transparent 75%, #99a 75%, #99a);
    background-size:16px 28px;
    background-position: 0 0, 0 0, 40px 70px, 40px 70px, 0 0, 40px 70px;
}

.tooltip:nth-child(8n+1) {
    background:
    radial-gradient(circle at 0% 50%, rgba(96, 16, 48, 0) 9px, #613 10px, rgba(96, 16, 48, 0) 11px) 0px 10px,
    radial-gradient(at 100% 100%,      rgba(96, 16, 48, 0) 9px, #613 10px, rgba(96, 16, 48, 0) 11px),
    #8a3;
    background-size: 10px 10px;
}
.tooltip:nth-child(8n+2) {
    background-color: #026873;
    background-image: linear-gradient(90deg, rgba(255,255,255,.07) 50%, transparent 50%),
    linear-gradient(90deg, rgba(255,255,255,.13) 50%, transparent 50%),
    linear-gradient(90deg, transparent 50%, rgba(255,255,255,.17) 50%),
    linear-gradient(90deg, transparent 50%, rgba(255,255,255,.19) 50%);
    background-size: 13px, 29px, 37px, 53px;
}
.tooltip:nth-child(8n+5) {
    background: linear-gradient(45deg, #dca 12%, transparent 0, transparent 88%, #dca 0),
    linear-gradient(135deg, transparent 37%, #a85 0, #a85 63%, transparent 0),
    linear-gradient(45deg, transparent 37%, #dca 0, #dca 63%, transparent 0) #753;
    background-size: 15px 15px;
}
.tooltip:nth-child(8n+4) {
    background:
    linear-gradient(-45deg, white 25%, transparent 25%, transparent 75%, red 75%, red) 0 0,
    linear-gradient(-45deg, red 25%, transparent 25%, transparent 75%, white 75%, white) 0.5em 0.5em,
    linear-gradient(45deg, red 17%, transparent 17%, transparent 25%, red 25%, red 36%, transparent 36%, transparent 64%, red 64%, red 75%, transparent 75%, transparent 83%, red 83%) 0.5em 0.5em;
    background-color: white;
    background-size: 1em 1em;
}
.tooltip:nth-child(8n+3) {
    background:
    linear-gradient(135deg, #ECEDDC 25%, transparent 25%) -8px 0,
    linear-gradient(225deg, #ECEDDC 25%, transparent 25%) -8px 0,
    linear-gradient(315deg, #ECEDDC 25%, transparent 25%),
    linear-gradient(45deg, #ECEDDC 25%, transparent 25%);
    background-size: 16px 16px;
    background-color: #EC173A;
}
.tooltip:nth-child(8n+6) {
    background:
    linear-gradient(135deg, #708090 10.5px, #d9ecff 11px, #d9ecff 12px, transparent 12px, transparent 33.5px, #d9ecff 33.5px, #d9ecff 34.5px, transparent 34.5px),
    linear-gradient(225deg, #708090 10.5px, #d9ecff 11px, #d9ecff 12px, transparent 12px, transparent 33.5px, #d9ecff 33.5px, #d9ecff 34.5px, transparent 34.5px)0 32px;
    background-color:#708090;
    background-size: 32px 64px;
}
.tooltip:nth-child(8n+7) {
    background:
    radial-gradient(rgba(255,255,255,0) 0, rgba(255,255,255,.15) 30%, rgba(255,255,255,.3) 32%, rgba(255,255,255,0) 33%) 0 0,
    radial-gradient(rgba(255,255,255,0) 0, rgba(255,255,255,.1) 11%, rgba(255,255,255,.3) 13%, rgba(255,255,255,0) 14%) 0 0,
    radial-gradient(rgba(255,255,255,0) 0, rgba(255,255,255,.2) 17%, rgba(255,255,255,.43) 19%, rgba(255,255,255,0) 20%) 0 110px,
    radial-gradient(rgba(255,255,255,0) 0, rgba(255,255,255,.2) 11%, rgba(255,255,255,.4) 13%, rgba(255,255,255,0) 14%) -130px -170px,
    radial-gradient(rgba(255,255,255,0) 0, rgba(255,255,255,.2) 11%, rgba(255,255,255,.4) 13%, rgba(255,255,255,0) 14%) 130px 370px,
    radial-gradient(rgba(255,255,255,0) 0, rgba(255,255,255,.1) 11%, rgba(255,255,255,.2) 13%, rgba(255,255,255,0) 14%) 0 0,
    linear-gradient(45deg, #343702 0%, #184500 20%, #187546 30%, #006782 40%, #494fcc 50%, #8b38af 60%, #9b2c88 70%, #840b2a 80%, #b13e12 90%, #e27412 100%);
    background-size: 470px 470px, 970px 970px, 410px 410px, 610px 610px, 530px 530px, 730px 730px, 100% 100%;
    background-color: #840b2a;
}

 /* - src: https://leaverou.github.io/css3patterns/ */


h2 {
    position: relative;
    left: 50rem;
    max-width: fit-content;
    margin-bottom: 0;
    padding-bottom: 0;
    top: 1rem;   
}

h1 {
    margin-left: 3rem;
}

.tooltip a {
    color: black;
}
.morf {
    border: 5px solid #1a46e8;
    width: fit-content;
    border-radius: 50px;
    padding: 1rem;
    background-color: red;
    position: fixed;
    z-index: 1;
    bottom: 1rem;
    right: 1rem;
}

.morf input {
    border: none;
    background: none;
    max-width: 30px;
    font-size: 18px;
    align-content: right;
}